<?php
require_once '../config/db.php';

function notifyFinalGrade($staff_id, $grade) {
    global $pdo;

    $stmt = $pdo->prepare("SELECT email, name FROM users WHERE id = ?");
    $stmt->execute([$staff_id]);
    $staff = $stmt->fetch(PDO::FETCH_ASSOC);

    if ($staff) {
        $to = $staff['email'];
        $subject = "Final Evaluation Grade Released";
        $message = "Hi {$staff['name']},\n\nYour final evaluation grade is: $grade\n\nBest regards,\nHR Team";

        // Simulate mail for now (PHPMailer integration can replace this)
        file_put_contents("../logs/email_log.txt", "TO: $to\nSUBJECT: $subject\n\n$message\n\n", FILE_APPEND);
    }
}
