<?php session_start(); ?>

<!DOCTYPE html>
<html>
<head>
    <title>Login</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0/dist/css/bootstrap.min.css" rel="stylesheet">
</head>
<body class="bg-light">
<div class="container mt-5 col-md-4">
    <h4 class="mb-4 text-center">Staff Evaluation Login</h4>

    <?php if (isset($_GET['error']) && $_GET['error'] === 'invalid'): ?>
        <div class="alert alert-danger">❌ Invalid credentials. Try again.</div>
    <?php elseif (isset($_GET['error']) && $_GET['error'] === 'role'): ?>
        <div class="alert alert-warning">⚠️ Unknown user role.</div>
    <?php endif; ?>

    <form method="POST" action="../../controllers/AuthController.php">
        <div class="mb-3">
            <label>Email</label>
            <input type="email" name="email" class="form-control" required>
        </div>

        <div class="mb-3">
            <label>Password</label>
            <input type="password" name="password" class="form-control" required>
        </div>

        <button type="submit" name="login" class="btn btn-primary w-100">Login</button>
    </form>
</div>
</body>
</html>
