<?php require_once '../../helpers/session.php'; requireLogin(); require_once '../../templates/header.php'; ?>
<div class="container-fluid">
  <div class="row">
    <div class="col-md-2 bg-primary text-white vh-100 p-3">
        <h5 class="text-white mb-4">Admin</h5>
        <ul class="nav nav-pills flex-column w-100">
     <!-- Admin Dashboard -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/dashboard/admin.php">
             <i class="bi bi-speedometer2 me-2"></i> Admin Dashboard
         </a>
     </li>

     <!-- Manage Users -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/users/manage.php">
             <i class="bi bi-people-fill me-2"></i> Manage Users
         </a>
     </li>

     <!-- Assign Roles -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/users/roles.php">
             <i class="bi bi-person-gear me-2"></i> Assign Roles
         </a>
     </li>

     <!-- Set Evaluation Timeline -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/config/timeline.php">
             <i class="bi bi-calendar-check me-2"></i> Set Evaluation Timeline
         </a>
     </li>

     <!-- Monitor Evaluation Progress -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/evaluation/progress.php">
             <i class="bi bi-graph-up-arrow me-2"></i> Monitor Evaluation Progress
         </a>
     </li>
    

     <!-- Settings -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/config/settings.php">
             <i class="bi bi-gear me-2"></i> Settings
         </a>
     </li>

     <!-- Logout -->
     <li class="nav-item mt-4">
         <a class="nav-link text-white" href="<?= APP_URL ?>controllers/LogoutController.php">
             <i class="bi bi-box-arrow-right me-2"></i> Logout
         </a>
     </li>
    </ul>
    </div>    <div class="col ms-3 p-4">
      <h4>Export Reports</h4>
      <div class="card p-4 shadow-sm mt-4">
        <p>Download performance reports below:</p>
        <div class="d-flex gap-3 mt-3">
          <a href="#" class="btn btn-outline-primary">
            <i class="bi bi-filetype-csv"></i> CSV Format
          </a>
          <a href="#" class="btn btn-outline-danger">
            <i class="bi bi-file-earmark-pdf"></i> PDF Format
          </a>
        </div>
      </div>
    </div>
  </div>
</div>
<?php require_once '../../templates/footer.php'; ?>
