<?php require_once '../../helpers/session.php'; requireLogin(); require_once '../../templates/header.php'; ?>
<div class="container-fluid">
  <div class="row">
    <div class="col-md-2 bg-primary text-white vh-100 p-3">
        <h5 class="text-white mb-4">Admin</h5>
        <ul class="nav nav-pills flex-column w-100">
     <!-- Admin Dashboard -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/dashboard/admin.php">
             <i class="bi bi-speedometer2 me-2"></i> Admin Dashboard
         </a>
     </li>

     <!-- Manage Users -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/users/manage.php">
             <i class="bi bi-people-fill me-2"></i> Manage Users
         </a>
     </li>

     <!-- Assign Roles -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/users/roles.php">
             <i class="bi bi-person-gear me-2"></i> Assign Roles
         </a>
     </li>

     <!-- Set Evaluation Timeline -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/config/timeline.php">
             <i class="bi bi-calendar-check me-2"></i> Set Evaluation Timeline
         </a>
     </li>

     <!-- Monitor Evaluation Progress -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/evaluation/progress.php">
             <i class="bi bi-graph-up-arrow me-2"></i> Monitor Evaluation Progress
         </a>
     </li>

     <!-- Export Reports -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/reports/performance_report.php">
             <i class="bi bi-file-earmark-bar-graph me-2"></i> Export Reports
         </a>
     </li>

     <!-- Logout -->
     <li class="nav-item mt-4">
         <a class="nav-link text-white" href="<?= APP_URL ?>controllers/LogoutController.php">
             <i class="bi bi-box-arrow-right me-2"></i> Logout
         </a>
     </li>
    </ul>
    </div>    <div class="col ms-3 p-4">
      <h4>System Settings</h4>
      <form class="card p-4 shadow-sm mt-4" method="POST">
        <div class="mb-3">
          <label class="form-label">Notification Email</label>
          <input type="email" name="admin_email" value="admin@example.com" class="form-control">
        </div>
        <div class="mb-3">
          <label class="form-label">Default User Role</label>
          <select name="default_role" class="form-select">
            <option value="staff">Staff</option>
            <option value="team_lead">Team Lead</option>
          </select>
        </div>
        <button class="btn btn-primary"><i class="bi bi-save2"></i> Save Changes</button>
      </form>
    </div>
  </div>
</div>
<?php require_once '../../templates/footer.php'; ?>
