<?php require_once '../../helpers/session.php'; requireLogin(); require_once '../../templates/header.php'; ?>
<div class="container-fluid">
  <div class="row">
    <div class="col-md-2 bg-primary text-white vh-100 p-3">
        <h5 class="text-white mb-4">Admin</h5>
        <ul class="nav nav-pills flex-column w-100">
     <!-- Admin Dashboard -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/dashboard/admin.php">
             <i class="bi bi-speedometer2 me-2"></i> Admin Dashboard
         </a>
     </li>

     <!-- Manage Users -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/users/manage.php">
             <i class="bi bi-people-fill me-2"></i> Manage Users
         </a>
     </li>

     <!-- Assign Roles -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/users/roles.php">
             <i class="bi bi-person-gear me-2"></i> Assign Roles
         </a>
     </li>

     <!-- Set Evaluation Timeline -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/config/timeline.php">
             <i class="bi bi-calendar-check me-2"></i> Set Evaluation Timeline
         </a>
     </li>

     <!-- Export Reports -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/reports/performance_report.php">
             <i class="bi bi-file-earmark-bar-graph me-2"></i> Export Reports
         </a>
     </li>

     <!-- Settings -->
     <li class="nav-item mb-2">
         <a class="nav-link text-white" href="<?= APP_URL ?>views/config/settings.php">
             <i class="bi bi-gear me-2"></i> Settings
         </a>
     </li>

     <!-- Logout -->
     <li class="nav-item mt-4">
         <a class="nav-link text-white" href="<?= APP_URL ?>controllers/LogoutController.php">
             <i class="bi bi-box-arrow-right me-2"></i> Logout
         </a>
     </li>
    </ul>
    </div>    <div class="col ms-3 p-4">
      <h4>Evaluation Progress</h4>
      <div class="card shadow-sm mt-4">
        <div class="card-body">
          <table class="table table-hover">
            <thead class="table-light">
              <tr>
                <th>Employee</th>
                <th>Team Lead</th>
                <th>HR</th>
                <th>Director</th>
                <th>Grade</th>
                <th>Status</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>Alice Smith</td>
                <td>✅</td>
                <td>✅</td>
                <td>⏳</td>
                <td>Pending</td>
                <td><span class="badge bg-warning text-dark">In Progress</span></td>
              </tr>
              <tr>
                <td>Mark Lee</td>
                <td>✅</td>
                <td>✅</td>
                <td>✅</td>
                <td>B</td>
                <td><span class="badge bg-success">Completed</span></td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
<?php require_once '../../templates/footer.php'; ?>
