<?php
require_once '../../helpers/session.php';
requireLogin();
require_once '../../templates/header.php';
?>

<div class="container-fluid">
    <div class="row">
        <!-- Sidebar -->
        <?php require_once '../../templates/sidebar/staff.php'; ?>

        <!-- Main Content -->
        <div class="col ms-3 p-4">
            <h4 class="mb-3">Evaluation Status</h4>

            <!-- Progress Bar -->
            <div class="mb-4">
                <label class="form-label fw-bold">Overall Progress</label>
                <div class="progress" style="height: 25px;">
                    <div class="progress-bar bg-success" style="width: 50%;">
                        50% Complete
                    </div>
                </div>
                <small class="text-muted mt-1 d-block">Self-Evaluation and Team Lead stages completed</small>
            </div>

            <!-- Evaluation Table -->
            <div class="card shadow-sm p-3">
                <table class="table table-hover">
                    <thead class="table-light">
                        <tr>
                            <th>Stage</th>
                            <th>Status</th>
                            <th>Last Updated</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td>Self-Evaluation</td>
                            <td><span class="badge bg-success">Submitted</span></td>
                            <td>April 7, 2025</td>
                        </tr>
                        <tr>
                            <td>Team Lead Review</td>
                            <td><span class="badge bg-success">Completed</span></td>
                            <td>April 8, 2025</td>
                        </tr>
                        <tr>
                            <td>HR Assessment</td>
                            <td><span class="badge bg-warning text-dark">Pending</span></td>
                            <td>--</td>
                        </tr>
                        <tr>
                            <td>Director Final Grade</td>
                            <td><span class="badge bg-secondary">Awaiting</span></td>
                            <td>--</td>
                        </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
</div>

<?php require_once '../../templates/footer.php'; ?>
