<?php
require_once '../../helpers/session.php';
requireLogin();
require_once '../../templates/header.php';
require_once '../../templates/sidebar/team_lead.php';
?>

<div class="col-md-10 p-4">
    <h4>Team Lead Review</h4>
    <form method="POST" action="../../controllers/EvaluationController.php">
        <input type="hidden" name="step" value="team_lead">

        <div class="mb-3">
            <label>Team Collaboration</label>
            <select name="collaboration" class="form-control" required>
                <?php foreach (range(1, 5) as $i): ?>
                    <option value="<?= $i ?>"><?= $i ?></option>
                <?php endforeach; ?>
            </select>
        </div>

        <div class="mb-3">
            <label>Problem Solving</label>
            <select name="problem_solving" class="form-control" required>
                <?php foreach (range(1, 5) as $i): ?>
                    <option value="<?= $i ?>"><?= $i ?></option>
                <?php endforeach; ?>
            </select>
        </div>

        <div class="mb-3">
            <label>Key Strengths</label>
            <textarea name="strengths" class="form-control" rows="3"></textarea>
        </div>

        <div class="mb-3">
            <label>Weaknesses</label>
            <textarea name="weaknesses" class="form-control" rows="3"></textarea>
        </div>

        <div class="mb-3">
            <label>Promotion Potential</label>
            <select name="promotion" class="form-control">
                <option value="yes">Yes</option>
                <option value="no">No</option>
                <option value="needs_time">Needs Time</option>
            </select>
        </div>

        <button type="submit" class="btn btn-primary">Submit Review</button>
    </form>
</div>

<?php require_once '../../templates/footer.php'; ?>
